<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['slider'],

    
    'slider'       => [
        'model' => [
            'model'                 => \Lavalite\Test\Models\Slider::class,
            'table'                 => 'sliders',
            'presenter'             => \Lavalite\Test\Repositories\Presenter\SliderPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'name',  'title1',  'title2',  'title3',  'slug',  'page',  'images',  'status',  'upload_folder',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'test/slider',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Test',
            'module'    => 'Slider',
        ],

    ],
];
