<?php

namespace Lavalite;

use DB;
use Illuminate\Database\Seeder;

class TestTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('sliders')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'test.slider.view',
                'name'      => 'View Slider',
            ],
            [
                'slug'      => 'test.slider.create',
                'name'      => 'Create Slider',
            ],
            [
                'slug'      => 'test.slider.edit',
                'name'      => 'Update Slider',
            ],
            [
                'slug'      => 'test.slider.delete',
                'name'      => 'Delete Slider',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/test/slider',
                'name'        => 'Slider',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/test/slider',
                'name'        => 'Slider',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'slider',
                'name'        => 'Slider',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Test',
                'module'    => 'Slider',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'test.slider.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
