<?php

namespace Lavalite\Test\Repositories\Eloquent;

use Lavalite\Test\Interfaces\SliderRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SliderRepository extends BaseRepository implements SliderRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('lavalite.test.slider.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('lavalite.test.slider.model.model');
    }
}
