            @include('test::public.slider.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('test::public.slider.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($slider->defaultImage('images' , 'xl'))!!}" alt="{{$slider->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('test::slider.label.id') !!}
                </label><br />
                    {!! $slider['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('test::slider.label.user_id') !!}
                </label><br />
                    {!! $slider['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('test::slider.label.user_type') !!}
                </label><br />
                    {!! $slider['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('test::slider.label.name') !!}
                </label><br />
                    {!! $slider['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="title1">
                    {!! trans('test::slider.label.title1') !!}
                </label><br />
                    {!! $slider['title1'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="title2">
                    {!! trans('test::slider.label.title2') !!}
                </label><br />
                    {!! $slider['title2'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="title3">
                    {!! trans('test::slider.label.title3') !!}
                </label><br />
                    {!! $slider['title3'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('test::slider.label.slug') !!}
                </label><br />
                    {!! $slider['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="page">
                    {!! trans('test::slider.label.page') !!}
                </label><br />
                    {!! $slider['page'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="images">
                    {!! trans('test::slider.label.images') !!}
                </label><br />
                    {!! $slider['images'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('test::slider.label.status') !!}
                </label><br />
                    {!! $slider['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="upload_folder">
                    {!! trans('test::slider.label.upload_folder') !!}
                </label><br />
                    {!! $slider['upload_folder'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('test::slider.label.created_at') !!}
                </label><br />
                    {!! $slider['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('test::slider.label.updated_at') !!}
                </label><br />
                    {!! $slider['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('test::slider.label.deleted_at') !!}
                </label><br />
                    {!! $slider['deleted_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('test::slider.label.name'))
                       -> placeholder(trans('test::slider.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title1')
                       -> label(trans('test::slider.label.title1'))
                       -> placeholder(trans('test::slider.placeholder.title1'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title2')
                       -> label(trans('test::slider.label.title2'))
                       -> placeholder(trans('test::slider.placeholder.title2'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('title3')
                       -> label(trans('test::slider.label.title3'))
                       -> placeholder(trans('test::slider.placeholder.title3'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('page')
                   -> radios(trans('test::slider.options.page'))
                   -> label(trans('test::slider.label.page'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('images')
                       -> label(trans('test::slider.label.images'))
                       -> placeholder(trans('test::slider.placeholder.images'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



